Index: trunk/data/class/helper/SC_Helper_CSV.php
===================================================================
--- trunk/data/class/helper/SC_Helper_CSV.php	(revision 18177)
+++ trunk/data/class/helper/SC_Helper_CSV.php	(revision 18562)
@@ -99,52 +99,61 @@
     }
 
-
-    // CSV出力データを作成する。(商品)
-    function lfGetProductsCSV($where, $option, $arrval, $arrOutputCols) {
-        $objDb = new SC_Helper_DB_Ex();
-
-        $from = "vw_product_class AS prdcls";
-        $cols = SC_Utils_Ex::sfGetCommaList($arrOutputCols, true, array('category_id'));
-
-        $objQuery = new SC_Query();
-        $objQuery->setoption($option);
-
-        $list_data = $objQuery->select($cols, $from, $where, $arrval);
-        $max = count($list_data);
+    // CSVを送信する。(商品)
+    function sfDownloadProductsCsv($where, $arrval, $order) {
+
+        // CSV出力タイトル行の作成
+        $arrOutput = SC_Utils_Ex::sfSwapArray($this->sfgetCsvOutput(1, " WHERE csv_id = 1 AND status = 1"));
+        if (count($arrOutput) <= 0) return false; // 失敗終了
+        $arrOutputCols = $arrOutput['col'];
+
+        $objQuery = new SC_Query();
+        $objQuery->setorder($order);
+
+        $dataRows = $objQuery->select(
+             SC_Utils_Ex::sfGetCommaList($arrOutputCols, true, array('category_id'))
+            ,'vw_product_class AS prdcls'
+            ,$where
+            ,$arrval
+        );
 
         // 規格分類名一覧
         if (in_array('classcategory_id1', $arrOutputCols) || in_array('classcategory_id2', $arrOutputCols)) {
+            $objDb = new SC_Helper_DB_Ex();
             $arrClassCatName = $objDb->sfGetIDValueList("dtb_classcategory", "classcategory_id", "name");
         }
 
-        if (!isset($data)) $data = "";
-        for($i = 0; $i < $max; $i++) {
-            // 関連商品情報の付与
+        $outputArray = array();
+
+        // ヘッダ行
+        $outputArray[] = $arrOutput['disp_name'];
+
+        // データ行
+        foreach ($dataRows as $row) {
+            // 規格名1
             if (in_array('classcategory_id1', $arrOutputCols)) {
-                $list_data[$i]['classcategory_id1'] = $arrClassCatName[$list_data[$i]['classcategory_id1']];
-            }
+                $row['classcategory_id1'] = $arrClassCatName[$row['classcategory_id1']];
+            }
+
+            // 規格名2
             if (in_array('classcategory_id2', $arrOutputCols)) {
-                $list_data[$i]['classcategory_id2'] = $arrClassCatName[$list_data[$i]['classcategory_id2']];
-            }
-
+                $row['classcategory_id2'] = $arrClassCatName[$row['classcategory_id2']];
+            }
+
+            // カテゴリID
             if (in_array('category_id', $arrOutputCols)) {
-                $arrCategory_id = $objQuery->getCol("dtb_product_categories",
+                $row['category_id'] = $objQuery->getCol("dtb_product_categories",
                                   "category_id",
                                   "product_id = ?",
-                                  array($list_data[$i]['product_id']));
-
-                // カテゴリID 付与
-                for ($j = 0; $j < count($arrCategory_id); $j++) {
-                    $list_data[$i]['category_id'] .= $arrCategory_id[$j];
-                    if ($j < count($arrCategory_id) - 1) {
-                        $list_data[$i]['category_id'] .= "|";
-                    }
-                }
-            }
-
-            // 各項目をCSV出力用に変換する。
-            $data .= $this->lfMakeProductsCSV($list_data[$i]);
-        }
-        return $data;
+                                   array($row['product_id']));
+         }
+
+           $outputArray[] = $row;
+       }
+
+       // CSVを送信する。
+       $this->lfDownloadCsv($outputArray);
+
+       // 成功終了
+       return true;
     }
 
@@ -188,23 +197,36 @@
     }
 
-    // CSV出力データを作成する。(カテゴリ)
-    function lfGetCategoryCSV($where, $option, $arrval, $arrOutputCols) {
-        $objDb = new SC_Helper_DB_Ex();
-
-        $from = "dtb_category";
-        $cols = SC_Utils_Ex::sfGetCommaList($arrOutputCols);
-
-        $objQuery = new SC_Query();
-        $objQuery->setoption($option);
-
-        $list_data = $objQuery->select($cols, $from, $where, $arrval);
-        $max = count($list_data);
-
-        if (!isset($data)) $data = "";
-        for($i = 0; $i < $max; $i++) {
-            // 各項目をCSV出力用に変換する。
-            $data .= $this->lfMakeCSV($list_data[$i]);
-        }
-        return $data;
+    // CSVを送信する。(カテゴリ)
+    function sfDownloadCategoryCsv() {
+
+    // CSV出力タイトル行の作成
+    $arrOutput = SC_Utils_Ex::sfSwapArray($this->sfgetCsvOutput(5, " WHERE csv_id = 5 AND status = 1"));
+    if (count($arrOutput) <= 0) return false; // 失敗終了
+        $arrOutputCols = $arrOutput['col'];
+
+        $objQuery = new SC_Query();
+        $objQuery->setorder('rank DESC');
+
+        $dataRows = $objQuery->select(
+             SC_Utils_Ex::sfGetCommaList($arrOutputCols)
+            ,'dtb_category'
+            ,'del_flg = 0'
+        );
+
+        $outputArray = array();
+
+        // ヘッダ行
+        $outputArray[] = $arrOutput['disp_name'];
+
+        // データ行
+        foreach ($dataRows as $row) {
+            $outputArray[] = $row;
+        }
+
+        // CSVを送信する。
+        $this->lfDownloadCsv($outputArray, 'category');
+
+        // 成功終了
+        return true;
     }
 
@@ -231,12 +253,10 @@
     function lfMakeCSV($list) {
         $line = "";
-		
-		reset($list);
+
+        reset($list);
         while(list($key, $val) = each($list)){
             $tmp = "";
             switch($key) {
             case 'order_pref':
-                $tmp = $this->arrPref[$val];
-                break;
             case 'deliv_pref':
                 $tmp = $this->arrPref[$val];
@@ -255,37 +275,9 @@
     }
 
-    // 各項目をCSV出力用に変換する。(商品)
-    function lfMakeProductsCSV($list) {
-        $line = "";
-        if(is_array($list)) {
-			reset($list);
-        	while(list($key, $val) = each($list)){
-                $tmp = "";
-                switch($key) {
-                case 'point_rate':
-                    if($val == "") {
-                        $tmp = '0';
-                    } else {
-                        $tmp = $val;
-                    }
-                    break;
-                default:
-                    $tmp = $val;
-                    break;
-                }
-                $tmp = str_replace("\"", "\\\"", $tmp);
-                $line .= "\"".$tmp."\",";
-            }
-            // 文末の","を変換
-            $line = $this->replaceLineSuffix($line);
-        }
-        return $line;
-    }
-
     // 各項目をCSV出力用に変換する。(レビュー)
     function lfMakeReviewCSV($list) {
         $line = "";
-		reset($list);
-    	while(list($key, $val) = each($list)){
+        reset($list);
+        while(list($key, $val) = each($list)){
             $tmp = "";
             switch($key) {
@@ -316,6 +308,6 @@
     function lfMakeTrackbackCSV($list) {
         $line = "";
-		reset($list);
-    	while(list($key, $val) = each($list)){
+        reset($list);
+        while(list($key, $val) = each($list)){
             $tmp = "";
             switch($key) {
@@ -411,4 +403,67 @@
                                            );
     }
+
+
+    /**
+     * 1次元配列を1行のCSVとして返す
+     * 参考: http://jp.php.net/fputcsv
+     */
+    function sfArrayToCsv($fields, $delimiter = ',', $enclosure = '"', $arrayDelimiter = '|') {
+
+        if( strlen($delimiter) != 1 ) {
+            trigger_error('delimiter must be a single character', E_USER_WARNING);
+            return "";
+        }
+
+        if( strlen($enclosure) < 1 ) {
+            trigger_error('enclosure must be a single character', E_USER_WARNING);
+            return "";
+        }
+
+        foreach (array_keys($fields) as $key) {
+            $field =& $fields[$key];
+
+            // 配列を「|」区切りの文字列に変換する
+            if (is_array($field)) {
+                $field = implode($arrayDelimiter, $field);
+            }
+
+            /* enclose a field that contains a delimiter, an enclosure character, or a newline */
+            if (
+                   is_string($field)
+                && preg_match('/[' . preg_quote($delimiter) . preg_quote($enclosure) . '\\s]/', $field)
+            ) {
+                $field = $enclosure . preg_replace('/' . preg_quote($enclosure) . '/', $enclosure . $enclosure, $field) . $enclosure;
+            }
+        }
+
+        return implode($delimiter, $fields);
+    }
+
+    /**
+     * CSVを送信する。
+     */
+    function lfDownloadCsv($arrayData, $prefix = ""){
+
+        if($prefix == "") {
+            $dir_name = SC_Utils::sfUpDirName();
+            $file_name = $dir_name . date("ymdHis") .".csv";
+        } else {
+            $file_name = $prefix . date("ymdHis") .".csv";
+        }
+
+        /* HTTPヘッダの出力 */
+        Header("Content-disposition: attachment; filename=${file_name}");
+        Header("Content-type: application/octet-stream; name=${file_name}");
+        Header("Cache-Control: ");
+        Header("Pragma: ");
+
+        /* データを出力 */
+        foreach ($arrayData as $lineArray) {
+            $lineString = $this->sfArrayToCsv($lineArray);
+            $lineString = mb_convert_encoding($lineString, 'SJIS-Win');
+            echo $lineString . "\n";
+        }
+    }
 }
 ?>
Index: trunk/data/class/helper/SC_Helper_DB.php
===================================================================
--- trunk/data/class/helper/SC_Helper_DB.php	(revision 18432)
+++ trunk/data/class/helper/SC_Helper_DB.php	(revision 18562)
@@ -315,5 +315,8 @@
                         $limit = $arrData['sale_limit'];
                     } else {
-                        $limit = $arrData['stock'];
+                        // 購入制限数を在庫数に
+                        #$limit = $arrData['stock'];
+                        // 購入制限数をSALE_LIMIT_MAXに
+                        $limit = SALE_LIMIT_MAX;
                     }
                 } else {
@@ -322,5 +325,8 @@
                     }
                     if ($arrData['stock_unlimited'] != '1') {
-                        $limit = $arrData['stock'];
+                        // 購入制限数を在庫数に
+                        #$limit = $arrData['stock'];
+                        // 購入制限数をSALE_LIMIT_MAXに
+                        $limit = SALE_LIMIT_MAX;
                     }
                 }
@@ -1378,8 +1384,8 @@
 
     /**
-     * 配送時間を取得する.
+     * お届け時間を取得する.
      *
      * @param integer $payment_id 支払い方法ID
-     * @return array 配送時間の配列
+     * @return array お届け時間の配列
      */
     function sfGetDelivTime($payment_id = "") {
Index: trunk/data/class/SC_CheckError.php
===================================================================
--- trunk/data/class/SC_CheckError.php	(revision 17727)
+++ trunk/data/class/SC_CheckError.php	(revision 18562)
@@ -296,4 +296,5 @@
         }
 
+        $total_count = 0;
         for($i = 1; $i <= 3; $i++) {
             if(strlen($this->arrParam[$value[$i]]) > 0 && strlen($this->arrParam[$value[$i]]) > $value[4]) {
@@ -302,4 +303,10 @@
                 $this->arrErr[$value[$i]] .= "※ " . $value[0] . $i . "は数字で入力してください。<br />";
             }
+            $total_count += strlen($this->arrParam[$value[$i]]);
+        }
+
+        // 合計値チェック
+        if ($total_count > TEL_LEN) {
+            $this->arrErr[$value[3]] .= "※ " . $value[0] . "は" . TEL_LEN . "文字以内で入力してください。<br />";
         }
     }
Index: trunk/data/class/util/SC_Utils.php
===================================================================
--- trunk/data/class/util/SC_Utils.php	(revision 18432)
+++ trunk/data/class/util/SC_Utils.php	(revision 18562)
@@ -83,5 +83,23 @@
             if( !ereg('/install/', $_SERVER['PHP_SELF']) ) {
                 // インストールページに遷移させる
-                header('Location: ./install/');
+
+                $script_filename = $_SERVER['SCRIPT_FILENAME'];
+                list($real_root, $tmp) = explode('/html/', $script_filename);
+                $real_root = $real_root . '/html/';
+                $script_name = $_SERVER['SCRIPT_NAME'];
+                $url_dir = rtrim($script_name, basename($script_name));
+
+                if ($dh = opendir($real_root)) {
+                    $arrDir = array();
+                    while ($entry = readdir($dh)) {
+                        if (is_dir($real_root.$entry) && !in_array($entry, array('.', '..', '.svn', 'install'))) {
+                            $url_dir = rtrim($url_dir, $entry.'/');
+                        }
+                    }
+                    closedir($dh);
+                }
+
+                $location = $url_dir . '/install/';
+                header('Location: ' . $location);
                 exit;
             }
Index: trunk/data/class/db/SC_DB_MasterData.php
===================================================================
--- trunk/data/class/db/SC_DB_MasterData.php	(revision 16582)
+++ trunk/data/class/db/SC_DB_MasterData.php	(revision 18562)
@@ -59,5 +59,5 @@
      *
      * 以下の順序でマスタデータを取得する.
-     * 1. MASTER_DATA_DIR のマスタデータキャッシュを include_once() で読み込む
+     * 1. MASTER_DATA_DIR のマスタデータキャッシュを include() で読み込む
      * 2. 1 で読み込んだ値をチェックし, 値が変数定義されていれば値を返す.
      *    されていなければ, 次の処理を行う.
@@ -79,5 +79,5 @@
         $valiable = "_" . $name . "_master";
         // キャッシュを読み込み
-        @include_once(MASTER_DATA_DIR . $name . ".php");
+        @include(MASTER_DATA_DIR . $name . ".php");
 
         // キャッシュがあれば, キャッシュの値を返す.
Index: trunk/data/class/pages/campaign/LC_Page_CampaignEntry.php
===================================================================
--- trunk/data/class/pages/campaign/LC_Page_CampaignEntry.php	(revision 17382)
+++ trunk/data/class/pages/campaign/LC_Page_CampaignEntry.php	(revision 18562)
@@ -129,6 +129,6 @@
 
             if ($this->arrErr || $_POST["mode"] == "return") {		// 入力エラーのチェック
-                foreach($this->arrForm as $key => $val) {
-                    $this->$key = $val;
+                foreach($arrRegistColumn as $key) {
+                    $this->$key['column'] = $arrForm[$key['column']];
                 }
 
Index: trunk/data/class/pages/campaign/LC_Page_CampaignApplication.php
===================================================================
--- trunk/data/class/pages/campaign/LC_Page_CampaignApplication.php	(revision 17653)
+++ trunk/data/class/pages/campaign/LC_Page_CampaignApplication.php	(revision 18562)
@@ -120,5 +120,5 @@
 
                     if($orverlapping_flg) {
-                        if($this->lfOverlappingCheck($objCustomer->getValue('customer_id'), $objQuery)) {
+                        if($this->lfOverlappingCheck($objCustomer->getValue('customer_id'), $objCampaignSess->getCampaignId(), $objQuery)) {
                             $this->arrErr['login_email'] = "※ 複数回ご応募することは出来ません。";
                         }
@@ -253,6 +253,6 @@
      * 戻り値：フラグ (重複があったら true 重複がなかったら false)
      */
-    function lfOverlappingCheck($customer_id, &$objQuery) {
-        $count = $objQuery->count("dtb_campaign_order", "customer_id = ?", array($customer_id));
+    function lfOverlappingCheck($customer_id, $campaign_id, &$objQuery) {
+        $count = $objQuery->count("dtb_campaign_order", "customer_id = ? AND campaign_id = ?", array($customer_id, $campaign_id));
         if($count > 0) {
             return true;
Index: trunk/data/class/pages/mypage/LC_Page_Mypage_History.php
===================================================================
--- trunk/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 18177)
+++ trunk/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 18562)
@@ -82,5 +82,5 @@
             // 支払い方法の取得
             $this->arrPayment = $objDb->sfGetIDValueList("dtb_payment", "payment_id", "payment_method");
-            // 配送時間の取得
+            // お届け時間の取得
             $arrRet = $objDb->sfGetDelivTime($this->arrDisp['payment_id']);
             $this->arrDelivTime = SC_Utils_Ex::sfArrKeyValue($arrRet, 'time_id', 'deliv_time');
Index: trunk/data/class/pages/mypage/LC_Page_Mypage_HistoryDetail.php
===================================================================
--- trunk/data/class/pages/mypage/LC_Page_Mypage_HistoryDetail.php	(revision 18177)
+++ trunk/data/class/pages/mypage/LC_Page_Mypage_HistoryDetail.php	(revision 18562)
@@ -91,5 +91,5 @@
             // 支払い方法の取得
             $this->arrPayment = $objDb->sfGetIDValueList("dtb_payment", "payment_id", "payment_method");
-            // 配送時間の取得
+            // お届け時間の取得
             $arrRet = $objDb->sfGetDelivTime($this->arrDisp['payment_id']);
             $this->arrDelivTime = SC_Utils_Ex::sfArrKeyValue($arrRet, 'time_id', 'deliv_time');
Index: trunk/data/class/pages/mypage/LC_Page_Mypage_Change.php
===================================================================
--- trunk/data/class/pages/mypage/LC_Page_Mypage_Change.php	(revision 18177)
+++ trunk/data/class/pages/mypage/LC_Page_Mypage_Change.php	(revision 18562)
@@ -473,6 +473,6 @@
         $this->objFormParam->addParam("郵便番号2", "zip02", ZIP02_LEN, "n", array("EXIST_CHECK", "NUM_CHECK", "NUM_COUNT_CHECK"));
         $this->objFormParam->addParam("都道府県", "pref", INT_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
-        $this->objFormParam->addParam("ご住所1", "addr01", STEXT_LEN, "KVa", array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
-        $this->objFormParam->addParam("ご住所2", "addr02", STEXT_LEN, "KVa", array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("ご住所1", "addr01", MTEXT_LEN, "KVa", array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("ご住所2", "addr02", MTEXT_LEN, "KVa", array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
         $this->objFormParam->addParam("お電話番号1", "tel01", TEL_ITEM_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK" ,"NUM_CHECK"));
         $this->objFormParam->addParam("お電話番号2", "tel02", TEL_ITEM_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK" ,"NUM_CHECK"));
Index: trunk/data/class/pages/shopping/LC_Page_Shopping_Complete.php
===================================================================
--- trunk/data/class/pages/shopping/LC_Page_Shopping_Complete.php	(revision 18432)
+++ trunk/data/class/pages/shopping/LC_Page_Shopping_Complete.php	(revision 18562)
@@ -485,5 +485,5 @@
         }
 
-        // 別のお届け先を指定していない場合、配送先に登録住所をコピーする。
+        // 別のお届け先を指定していない場合、お届け先に登録住所をコピーする。
         if($arrData["deliv_check"] == "-1") {
             $sqlval['deliv_name01'] = $arrData['order_name01'];
Index: trunk/data/class/pages/shopping/LC_Page_Shopping_Payment.php
===================================================================
--- trunk/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 18432)
+++ trunk/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 18562)
@@ -164,9 +164,9 @@
         // 支払い方法の画像があるなしを取得（$img_show true:ある false:なし）
         $this->img_show = $this->lfGetImgShow($this->arrPayment);
-        // 配送時間の取得
+        // お届け時間の取得
         $arrRet = $objDb->sfGetDelivTime($this->objFormParam->getValue('payment_id'));
         $this->arrDelivTime = SC_Utils_Ex::sfArrKeyValue($arrRet, 'time_id', 'deliv_time');
 
-        // 配送日一覧の取得
+        // お届け日一覧の取得
         $this->arrDelivDate = $this->lfGetDelivDate();
 
@@ -251,5 +251,5 @@
 
         switch($_POST['mode']) {
-            // 支払い方法指定 → 配達日時指定
+            // 支払い方法指定 → お届け日時指定
         case 'deliv_date':
             // 入力値の変換
@@ -259,5 +259,5 @@
                 // 支払い方法の入力エラーなし
                 $this->tpl_mainpage = 'shopping/deliv_date.tpl';
-                $this->tpl_title = "配達日時指定";
+                $this->tpl_title = "お届け日時指定";
                 break;
             } else {
@@ -289,5 +289,5 @@
                     // 支払い方法の入力エラーなし
                     $this->tpl_mainpage = 'shopping/deliv_date.tpl';
-                    $this->tpl_title = "配達日時指定";
+                    $this->tpl_title = "お届け日時指定";
                 }
             }
@@ -317,9 +317,9 @@
         // 支払い方法の取得
         $this->arrPayment = $this->lfGetPayment($total_pretax);
-        // 配送時間の取得
+        // お届け時間の取得
         $arrRet = $objDb->sfGetDelivTime($this->objFormParam->getValue('payment_id'));
         $this->arrDelivTime = SC_Utils_Ex::sfArrKeyValue($arrRet, 'time_id', 'deliv_time');
 
-        // 配送日一覧の取得
+        // お届け日一覧の取得
         $this->arrDelivDate = $this->lfGetDelivDate();
 
@@ -343,8 +343,8 @@
         $this->objFormParam->addParam("お支払い方法", "payment_id", INT_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
         $this->objFormParam->addParam("ポイント", "use_point", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK", "ZERO_START"));
-        $this->objFormParam->addParam("配達時間", "deliv_time_id", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
+        $this->objFormParam->addParam("お届け時間", "deliv_time_id", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
         $this->objFormParam->addParam("ご質問", "message", LTEXT_LEN, "KVa", array("SPTAB_CHECK", "MAX_LENGTH_CHECK"));
         $this->objFormParam->addParam("ポイントを使用する", "point_check", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"), '2');
-        $this->objFormParam->addParam("配達日", "deliv_date", STEXT_LEN, "KVa", array("MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("お届け日", "deliv_date", STEXT_LEN, "KVa", array("MAX_LENGTH_CHECK"));
     }
 
@@ -439,5 +439,5 @@
     }
 
-    /* 配送時間文字列の取得 */
+    /* お届け時間文字列の取得 */
     function lfGetDelivTimeInfo($time_id) {
         $objQuery = new SC_Query();
@@ -479,5 +479,5 @@
     }
 
-    /* 配達日一覧を取得する */
+    /* お届け日一覧を取得する */
     function lfGetDelivDate() {
         $objCartSess = new SC_CartSession();
@@ -537,5 +537,5 @@
                 break;
             }
-            //配達可能日のスタート値から、配達日の配列を取得する
+            //お届け可能日のスタート値から、お届け日の配列を取得する
             $arrDelivDate = $this->lfGetDateArray($start_day, DELIV_DATE_END_MAX);
         }
@@ -543,9 +543,9 @@
     }
 
-    //配達可能日のスタート値から、配達日の配列を取得する
+    //お届け可能日のスタート値から、お届け日の配列を取得する
     function lfGetDateArray($start_day, $end_day) {
         $masterData = new SC_DB_MasterData();
         $arrWDAY = $masterData->getMasterData("mtb_wday");
-        //配達可能日のスタート値がセットされていれば
+        //お届け可能日のスタート値がセットされていれば
         if($start_day >= 1) {
             $now_time = time();
Index: trunk/data/class/pages/shopping/LC_Page_Shopping_DelivAddr.php
===================================================================
--- trunk/data/class/pages/shopping/LC_Page_Shopping_DelivAddr.php	(revision 16582)
+++ trunk/data/class/pages/shopping/LC_Page_Shopping_DelivAddr.php	(revision 18562)
@@ -26,5 +26,5 @@
 
 /**
- * 配送先追加のページクラス
+ * お届け先追加のページクラス
  *
  * @package Page
Index: trunk/data/class/pages/shopping/LC_Page_Shopping.php
===================================================================
--- trunk/data/class/pages/shopping/LC_Page_Shopping.php	(revision 18432)
+++ trunk/data/class/pages/shopping/LC_Page_Shopping.php	(revision 18562)
@@ -338,6 +338,6 @@
         $this->objFormParam->addParam("郵便番号2", "order_zip02", ZIP02_LEN, "n", array("EXIST_CHECK", "NUM_CHECK", "NUM_COUNT_CHECK"));
         $this->objFormParam->addParam("都道府県", "order_pref", INT_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
-        $this->objFormParam->addParam("住所1", "order_addr01", STEXT_LEN, "KVa", array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
-        $this->objFormParam->addParam("住所2", "order_addr02", STEXT_LEN, "KVa", array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("住所1", "order_addr01", MTEXT_LEN, "KVa", array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("住所2", "order_addr02", MTEXT_LEN, "KVa", array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
         $this->objFormParam->addParam("電話番号1", "order_tel01", TEL_ITEM_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK" ,"NUM_CHECK"));
         $this->objFormParam->addParam("電話番号2", "order_tel02", TEL_ITEM_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK" ,"NUM_CHECK"));
@@ -361,6 +361,6 @@
         $this->objFormParam->addParam("郵便番号2", "deliv_zip02", ZIP02_LEN, "n", array("NUM_CHECK", "NUM_COUNT_CHECK"));
         $this->objFormParam->addParam("都道府県", "deliv_pref", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
-        $this->objFormParam->addParam("住所1", "deliv_addr01", STEXT_LEN, "KVa", array("SPTAB_CHECK", "MAX_LENGTH_CHECK"));
-        $this->objFormParam->addParam("住所2", "deliv_addr02", STEXT_LEN, "KVa", array("SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("住所1", "deliv_addr01", MTEXT_LEN, "KVa", array("SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("住所2", "deliv_addr02", MTEXT_LEN, "KVa", array("SPTAB_CHECK", "MAX_LENGTH_CHECK"));
         $this->objFormParam->addParam("電話番号1", "deliv_tel01", TEL_ITEM_LEN, "n", array("MAX_LENGTH_CHECK" ,"NUM_CHECK"));
         $this->objFormParam->addParam("電話番号2", "deliv_tel02", TEL_ITEM_LEN, "n", array("MAX_LENGTH_CHECK" ,"NUM_CHECK"));
@@ -457,5 +457,5 @@
         $objQuery = new SC_Query();
 
-        // 別のお届け先を指定していない場合、配送先に登録住所をコピーする。
+        // 別のお届け先を指定していない場合、お届け先に登録住所をコピーする。
         if($arrData["deliv_check"] != "1") {
             $sqlval['deliv_name01'] = $arrData['order_name01'];
Index: trunk/data/class/pages/shopping/LC_Page_Shopping_Deliv.php
===================================================================
--- trunk/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 18432)
+++ trunk/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 18562)
@@ -424,6 +424,6 @@
         $this->objFormParam->addParam("郵便番号2", "deliv_zip02", ZIP02_LEN, "n", array("EXIST_CHECK", "NUM_CHECK", "NUM_COUNT_CHECK"));
         $this->objFormParam->addParam("都道府県", "deliv_pref", INT_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
-        $this->objFormParam->addParam("住所1", "deliv_addr01", STEXT_LEN, "KVa", array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
-        $this->objFormParam->addParam("住所2", "deliv_addr02", STEXT_LEN, "KVa", array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("住所1", "deliv_addr01", MTEXT_LEN, "KVa", array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("住所2", "deliv_addr02", MTEXT_LEN, "KVa", array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
         $this->objFormParam->addParam("電話番号1", "deliv_tel01", TEL_ITEM_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK" ,"NUM_CHECK"));
         $this->objFormParam->addParam("電話番号2", "deliv_tel02", TEL_ITEM_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK" ,"NUM_CHECK"));
